Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icevar.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icevar.F90	(revision 8533)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icevar.F90	(revision 8534)
@@ -2,5 +2,5 @@
    !!======================================================================
    !!                       ***  MODULE icevar ***
-   !!                 Different sets of ice model variables 
+   !!   sea-ice:     Different sets of ice model variables 
    !!                   how to switch from one to another
    !!
@@ -36,5 +36,5 @@
 #if defined key_lim3
    !!----------------------------------------------------------------------
-   !!   'key_lim3'                                      LIM3 sea-ice model
+   !!   'key_lim3'                                       ESIM sea-ice model
    !!----------------------------------------------------------------------
    !!   ice_var_agg       : integrate variables over layers and categories
@@ -47,13 +47,13 @@
    !!   ice_var_itd       : convert 1-cat to multiple cat
    !!----------------------------------------------------------------------
-   USE par_oce        ! ocean parameters
+   USE dom_oce        ! ocean space and time domain
    USE phycst         ! physical constants (ocean directory) 
    USE sbc_oce , ONLY : sss_m
-   USE ice            ! ice variables
-   USE ice1D          ! ice variables (thermodynamics)
+   USE ice            ! sea-ice: variables
+   USE ice1D          ! sea-ice: thermodynamics variables
    !
    USE in_out_manager ! I/O manager
    USE lib_mpp        ! MPP library
-   USE lib_fortran    ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)  
+   USE lib_fortran    ! fortran utilities (glob_sum + no signed zero)
 
    IMPLICIT NONE
@@ -77,10 +77,10 @@
 
    SUBROUTINE ice_var_agg( kn )
-      !!------------------------------------------------------------------
+      !!-------------------------------------------------------------------
       !!                ***  ROUTINE ice_var_agg  ***
       !!
       !! ** Purpose :   aggregates ice-thickness-category variables to 
       !!              all-ice variables, i.e. it turns VGLO into VAGG
-      !!------------------------------------------------------------------
+      !!-------------------------------------------------------------------
       INTEGER, INTENT( in ) ::   kn     ! =1 state variables only
       !                                 ! >1 state variables + others
@@ -88,5 +88,5 @@
       INTEGER ::   ji, jj, jk, jl   ! dummy loop indices
       REAL(wp), ALLOCATABLE, DIMENSION(:,:) ::   z1_at_i, z1_vt_i
-      !!------------------------------------------------------------------
+      !!-------------------------------------------------------------------
       !
       !                                      ! integrated values
@@ -143,10 +143,10 @@
 
    SUBROUTINE ice_var_glo2eqv
-      !!------------------------------------------------------------------
+      !!-------------------------------------------------------------------
       !!                ***  ROUTINE ice_var_glo2eqv ***
       !!
       !! ** Purpose :   computes equivalent variables as function of  
       !!              global variables, i.e. it turns VGLO into VEQV
-      !!------------------------------------------------------------------
+      !!-------------------------------------------------------------------
       INTEGER  ::   ji, jj, jk, jl   ! dummy loop indices
       REAL(wp) ::   ze_i             ! local scalars
@@ -155,5 +155,5 @@
       REAL(wp) ::   zlay_i, zlay_s                  !   -      -
       REAL(wp), DIMENSION(jpi,jpj,jpl) ::   z1_a_i, z1_v_i
-      !!------------------------------------------------------------------
+      !!-------------------------------------------------------------------
 
 !!gm Question 2:  It is possible to define existence of sea-ice in a common way between 
@@ -242,10 +242,10 @@
 
    SUBROUTINE ice_var_eqv2glo
-      !!------------------------------------------------------------------
+      !!-------------------------------------------------------------------
       !!                ***  ROUTINE ice_var_eqv2glo ***
       !!
       !! ** Purpose :   computes global variables as function of 
       !!              equivalent variables,  i.e. it turns VEQV into VGLO
-      !!------------------------------------------------------------------
+      !!-------------------------------------------------------------------
       !
       v_i  (:,:,:) = ht_i(:,:,:) * a_i(:,:,:)
@@ -257,5 +257,5 @@
 
    SUBROUTINE ice_var_salprof
-      !!------------------------------------------------------------------
+      !!-------------------------------------------------------------------
       !!                ***  ROUTINE ice_var_salprof ***
       !!
@@ -270,5 +270,5 @@
       !!
       !! ** References : Vancoppenolle et al., 2007
-      !!------------------------------------------------------------------
+      !!-------------------------------------------------------------------
       INTEGER  ::   ji, jj, jk, jl   ! dummy loop index
       REAL(wp) ::   zsal, z1_dS
@@ -277,5 +277,5 @@
       REAL(wp), PARAMETER :: zsi0 = 3.5_wp
       REAL(wp), PARAMETER :: zsi1 = 4.5_wp
-      !!------------------------------------------------------------------
+      !!-------------------------------------------------------------------
 
 !!gm Question: Remove the option 3 ?  How many years since it last use ? 
@@ -355,5 +355,5 @@
 
    SUBROUTINE ice_var_bv
-      !!------------------------------------------------------------------
+      !!-------------------------------------------------------------------
       !!                ***  ROUTINE ice_var_bv ***
       !!
@@ -363,7 +363,7 @@
       !!
       !! References : Vancoppenolle et al., JGR, 2007
-      !!------------------------------------------------------------------
+      !!-------------------------------------------------------------------
       INTEGER  ::   ji, jj, jk, jl   ! dummy loop indices
-      !!------------------------------------------------------------------
+      !!-------------------------------------------------------------------
       !
 !!gm I prefere to use WHERE / ELSEWHERE  to set it to zero only where needed   <<<=== to be done
@@ -398,5 +398,5 @@
       REAL(wp), PARAMETER :: zsi0 = 3.5_wp
       REAL(wp), PARAMETER :: zsi1 = 4.5_wp
-      !!---------------------------------------------------------------------
+      !!-------------------------------------------------------------------
       !
       SELECT CASE ( nn_icesal )
@@ -543,5 +543,5 @@
 
    SUBROUTINE ice_var_itd( zhti, zhts, zai, zht_i, zht_s, za_i )
-      !!------------------------------------------------------------------
+      !!-------------------------------------------------------------------
       !!                ***  ROUTINE ice_var_itd   ***
       !!
@@ -579,8 +579,11 @@
       INTEGER , DIMENSION(4)                  ::   itest
       !!-------------------------------------------------------------------
-
-      !--------------------------------------------------------------------
-      ! initialisation of variables
-      !--------------------------------------------------------------------
+      !
+      ! ----------------------------------------
+      ! distribution over the jpl ice categories
+      ! ----------------------------------------
+      ! a gaussian distribution for ice concentration is used
+      ! then we check whether the distribution fullfills
+      ! volume and area conservation, positivity and ice categories bounds
       ijpij = SIZE( zhti , 1 )
       zht_i(1:ijpij,1:jpl) = 0._wp
@@ -588,7 +591,4 @@
       za_i (1:ijpij,1:jpl) = 0._wp
 
-      ! ----------------------------------------
-      ! distribution over the jpl ice categories
-      ! ----------------------------------------
       DO ji = 1, ijpij
          
@@ -604,31 +604,24 @@
             END DO
 
-            ! initialisation of tests
-            itest(:)  = 0
-         
-            i_fill = jpl + 1                                             !====================================
-            DO WHILE ( ( SUM( itest(:) ) /= 4 ) .AND. ( i_fill >= 2 ) )  ! iterative loop on i_fill categories
-               ! iteration                                               !====================================
+            itest(:) = 0
+            i_fill   = jpl + 1                                            !------------------------------------
+            DO WHILE ( ( SUM( itest(:) ) /= 4 ) .AND. ( i_fill >= 2 ) )   ! iterative loop on i_fill categories
+               !                                                          !------------------------------------
                i_fill = i_fill - 1
-               
-               ! initialisation of ice variables for each try
+               !
                zht_i(ji,1:jpl) = 0._wp
                za_i (ji,1:jpl) = 0._wp
                itest(:)        = 0      
                
-               ! *** case very thin ice: fill only category 1
-               IF ( i_fill == 1 ) THEN
+               IF ( i_fill == 1 ) THEN      !-- case very thin ice: fill only category 1
                   zht_i(ji,1) = zhti(ji)
                   za_i (ji,1) = zai (ji)
-                  
-               ! *** case ice is thicker: fill categories >1
-               ELSE
-
-                  ! Fill ice thicknesses in the (i_fill-1) cat by hmean 
+               ELSE                         !-- case ice is thicker: fill categories >1
+                  ! thickness
                   DO jl = 1, i_fill - 1
                      zht_i(ji,jl) = hi_mean(jl)
                   END DO
                   
-                  ! Concentrations in the (i_fill-1) categories 
+                  ! concentration
                   za_i(ji,jl0) = zai(ji) / SQRT(REAL(jpl))
                   DO jl = 1, i_fill - 1
@@ -639,8 +632,6 @@
                   END DO
                   
-                  ! Concentration in the last (i_fill) category
+                  ! last category
                   za_i(ji,i_fill) = zai(ji) - SUM( za_i(ji,1:i_fill-1) )
-                  
-                  ! Ice thickness in the last (i_fill) category
                   zV = SUM( za_i(ji,1:i_fill-1) * zht_i(ji,1:i_fill-1) )
                   zht_i(ji,i_fill) = ( zhti(ji) * zai(ji) - zV ) / MAX( za_i(ji,i_fill), epsi10 ) 
@@ -659,34 +650,26 @@
                   ENDIF
                
-               ENDIF ! case ice is thick or thin
+               ENDIF
             
-               !---------------------
                ! Compatibility tests
-               !--------------------- 
-               ! Test 1: area conservation
-               zconv = ABS( zai(ji) - SUM( za_i(ji,1:jpl) ) )
-               IF ( zconv < epsi06 ) itest(1) = 1
+               zconv = ABS( zai(ji) - SUM( za_i(ji,1:jpl) ) ) 
+               IF ( zconv < epsi06 ) itest(1) = 1                                        ! Test 1: area conservation
             
-               ! Test 2: volume conservation
                zconv = ABS( zhti(ji)*zai(ji) - SUM( za_i(ji,1:jpl)*zht_i(ji,1:jpl) ) )
-               IF ( zconv < epsi06 ) itest(2) = 1
+               IF ( zconv < epsi06 ) itest(2) = 1                                        ! Test 2: volume conservation
                
-               ! Test 3: thickness of the last category is in-bounds ?
-               IF ( zht_i(ji,i_fill) >= hi_max(i_fill-1) ) itest(3) = 1
+               IF ( zht_i(ji,i_fill) >= hi_max(i_fill-1) ) itest(3) = 1                  ! Test 3: thickness of the last category is in-bounds ?
                
-               ! Test 4: positivity of ice concentrations
                itest(4) = 1
                DO jl = 1, i_fill
-                  IF ( za_i(ji,jl) < 0._wp ) itest(4) = 0
+                  IF ( za_i(ji,jl) < 0._wp ) itest(4) = 0                                ! Test 4: positivity of ice concentrations
                END DO
-               !                                         !============================
+               !                                         !----------------------------
             END DO                                       ! end iteration on categories
-               !                                         !============================
-         ENDIF ! if zhti > 0
-      END DO ! i loop
-
-      ! ------------------------------------------------
-      ! Adding Snow in each category where za_i is not 0
-      ! ------------------------------------------------ 
+               !                                         !----------------------------
+         ENDIF
+      END DO
+
+      ! Add Snow in each category where za_i is not 0
       DO jl = 1, jpl
          DO ji = 1, ijpij
@@ -707,5 +690,5 @@
 #else
    !!----------------------------------------------------------------------
-   !!   Default option         Dummy module          NO  LIM3 sea-ice model
+   !!   Default option         Dummy module           NO ESIM sea-ice model
    !!----------------------------------------------------------------------
 #endif
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icewri.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icewri.F90	(revision 8533)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icewri.F90	(revision 8534)
@@ -2,9 +2,9 @@
    !!======================================================================
    !!                     ***  MODULE  icewri  ***
-   !!         Ice diagnostics :  write ice output files
+   !!   sea-ice : output ice variables
    !!======================================================================
 #if defined key_lim3
    !!----------------------------------------------------------------------
-   !!   'key_lim3'                                      LIM3 sea-ice model
+   !!   'key_lim3'                                       ESIM sea-ice model
    !!----------------------------------------------------------------------
    !!   ice_wri       : write of the diagnostics variables in ouput file 
@@ -20,10 +20,10 @@
    !
    USE ioipsl         !
-   USE in_out_manager !
-   USE lbclnk         !
+   USE in_out_manager ! I/O manager
+   USE iom            ! I/O manager library
    USE lib_mpp        ! MPP library
-   USE iom            !
+   USE lib_fortran    ! fortran utilities (glob_sum + no signed zero)
+   USE lbclnk         ! lateral boundary conditions (or mpp links)
    USE timing         ! Timing
-   USE lib_fortran    ! Fortran utilities
 
    IMPLICIT NONE
@@ -485,5 +485,5 @@
 #else
    !!----------------------------------------------------------------------
-   !!   Default option :         Empty module          NO LIM sea-ice model
+   !!   Default option :         Empty module         NO ESIM sea-ice model
    !!----------------------------------------------------------------------
 #endif
